lzma_options_delta Struct Reference

Options for the Delta filter. More...

`#include <delta.h>`

## Data Fields

lzma_delta_type | type
uint32_t | dist
| Delta distance.

## Detailed Description

Options for the Delta filter.

These options are needed by both encoder and decoder.

## Field Documentation

## type

lzma_delta_type lzma_options_delta::type

For now, this must always be LZMA_DELTA_TYPE_BYTE.

## dist

uint32_t lzma_options_delta::dist

Delta distance.

With the only currently supported type, LZMA_DELTA_TYPE_BYTE, the distance is as bytes.

Examples:

- 16-bit stereo audio: distance = 4 bytes
- 24-bit RGB image data: distance = 3 bytes

The documentation for this struct was generated from the following file:

- lzma/delta.h